Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 28 Mar 2021 11:56:01 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have very bad experience on ordering online. I purchased one jogger on Thursday 25 march 2021 & I already pay the amount by knet but still I didn't receive any update about my order. Atleast you should add some option in your mobile application so that we can track our order. Its been 4 days since I order still no response from your side. Next time I will never buy too bad you customer service. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2315514